//Responsive Controls
// Harbuger menu
$("#hmenu a").click(function() {
    $('.bar').toggleClass('animate');
    if ($("#oer_sidebar").hasClass("hide")) {
        $("#oer_sidebar").removeClass("hide");
    } else {
        $("#oer_sidebar").addClass("hide");
    }
});

///Navigation

var navi = 0;


$(document).on("click", "#page1-2", function() {

    $("#oer_investigation").empty();

    $("#oer_investigation").append("<p>ΙΙ. Κατά τη διάρκεια της δοκιμής, στο <strong>σημείο Μ</strong> του διαγράμματος σημειώνεται σημαντική μείωση της διατομής του δοκιμίου, η οποία ονομάζεται εγκάρσια συστολή (στένωση ή λαίμωση). Στην περιοχή που ακολουθεί <strong>(ΜΘ)</strong>, παρά το γεγονός ότι τα αντίστοιχα φορτία ελαττώνονται, το δοκίμιο θραύεται <strong><br/>(σημείο Θ)</strong>. Ποια είναι, κατά τη γνώμη σας, η <strong>φυσική σημασία</strong> αυτής της συμπεριφοράς του υλικού;</p>");

    $("#oer_investigation").append("<div class=\"navigation\"><a  id=\"page2-1\" data-toggle=\"tooltip\" data-placement=\"top\" title=\"Προηγούμενο\"><i class=\"fas fa-chevron-circle-left\"></i></a></div>");

});


$(document).on("click", "#page2-1", function() {

    $("#oer_investigation").empty();

    $("#oer_investigation").append("<p class='theoryTex'>Ι. Στα στοιχεία θεωρίας υποστηρίζεται πως στην <strong>αναλογική περιοχή (ΟΑ)</strong> τα <strong>εφαρμοζόμενα φορτία</strong> είναι <strong>ανάλογα</strong> των αντίστοιχων <strong>παραμορφώσεων</strong>. Μπορείτε με βάση τα πειραματικά δεδομένα του διαγράμματος να ελέγξετε την παραπάνω πρόταση;</p>");
    $("#oer_investigation").append("<div class=\"navigation\"><a  id=\"page1-2\" data-toggle=\"tooltip\" data-placement=\"top\" title=\"Επόμενο\"><i class=\"fas fa-chevron-circle-right\"></i></a></div>");


});



// Controls Show / Hide

$("#p1_toggle").click(function() {
    if ($("#p1").hasClass("show")) {
        $("#p1_toggle i").removeClass("fa-chevron-circle-down");
        $("#p1_toggle i").addClass("fa-chevron-circle-up");
    } else {
        $("#p1_toggle i").removeClass("fa-chevron-circle-up");
        $("#p1_toggle i").addClass("fa-chevron-circle-down");
    }
});
$("#p2_toggle").click(function() {
    if ($("#p2").hasClass("show")) {
        $("#p2_toggle i").removeClass("fa-chevron-circle-down");
        $("#p2_toggle i").addClass("fa-chevron-circle-up");
    } else {
        $("#p2_toggle i").removeClass("fa-chevron-circle-up");
        $("#p2_toggle i").addClass("fa-chevron-circle-down");
    }
});



// Theory Button
$("#btn_theory").click(function() {
    if ($("#oer_theory").hasClass("hide")) {
        $("#oer_theory").removeClass("hide");
        $("#btn_theory").addClass("active");
        $("#oer_application").addClass("hide");
        $("#btn_application").removeClass("active");
        $("#oer_investigation").addClass("hide");
        $("#btn_investigation").removeClass("active");
    } else {
        $("#oer_theory").addClass("hide");
        $("#btn_theory").removeClass("active");
    }
});


// Application Button
$("#btn_application").click(function() {
    if ($("#oer_application").hasClass("hide")) {
        $("#oer_theory").addClass("hide");
        $("#btn_theory").removeClass("active");
        $("#oer_application").removeClass("hide");
        $("#btn_application").addClass("active");
        $("#oer_investigation").addClass("hide");
        $("#btn_investigation").removeClass("active");
    } else {
        $("#oer_application").addClass("hide");
        $("#btn_application").removeClass("active");
    }
});


// Investigation Button
$("#btn_investigation").click(function() {
    if ($("#oer_investigation").hasClass("hide")) {
        $("#oer_theory").addClass("hide");
        $("#btn_theory").removeClass("active");
        $("#oer_application").addClass("hide");
        $("#btn_application").removeClass("active");
        $("#oer_investigation").removeClass("hide");
        $("#btn_investigation").addClass("active");
    } else {
        $("#oer_investigation").addClass("hide");
        $("#btn_investigation").removeClass("active");
    }
});

//Lock Length
$("#lock_f").click(function() {
    if ($("#lock_f").hasClass("fa-unlock")) {
        $("#lock_f").css("color", "#d96214");
        $("#lock_f").removeClass("fa-unlock");
        $("#lock_f").addClass("fa-lock");
        $("#fortio").prop('disabled', true);
        $("#fortio_minus").off('click');
        $("#fortio_plus").off('click');
    } else {
        $("#lock_f").css("color", "black");
        $("#lock_f").removeClass("fa-lock");
        $("#lock_f").addClass("fa-unlock");
        $("#fortio").prop('disabled', false);
        $("#fortio_minus").on("click", fortio_minus_click);
        $("#fortio_plus").on("click", fortio_plus_click);
    }
});

//Minus and Plus buttons
function fortio_minus_click() {
    f = $("#fortio").val();
    var force = Number(f);
    if (force > config.fortio_min) {
        force -= 2000;
        $("#fortio").val(force);
        fortio_changed();
    }
}

function fortio_plus_click() {
    f = $("#fortio").val();
    var force = Number(f);
    if (force < config.fortio_max) {
        force += 2000;
        $("#fortio").val(force);
        fortio_changed();
    }
}


$("#fortio_plus").on('click', fortio_plus_click);
$("#fortio_minus").on('click', fortio_minus_click);
$('#plastic input[type="checkbox"]').on('change', function() {
    plasticRegion();
});
$('#elastic input[type="checkbox"]').on('change', function() {
    elasticRegion()
});